<?xml version="1.0" encoding="UTF-8"?>

<!--XBRL Document Created with the Workiva Platform-->
<!--Copyright 2025 Workiva-->
<!--r:a303508b-b381-4c57-b032-3de5f22b2eea,g:1d2c4749-b0f8-4345-82be-2ca7113d43fa-->
<link:linkbase xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd">
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedPeriodStartLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedPeriodStartLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/netLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/net-2009-12-16.xsd#netLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedNetLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedNetLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedTerseLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedTerseLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedPeriodEndLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedPeriodEndLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedTotalLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedTotalLabel"/>
  <link:labelLink xlink:role="http://www.xbrl.org/2003/role/link" xlink:type="extended">
    <link:label id="lab_scs_EquityAwardsGrantedInPriorYearsVestedMember_label_en-US" xlink:label="lab_scs_EquityAwardsGrantedInPriorYearsVestedMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en-US">Equity Awards Granted in Prior Years, Vested [Member]</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_scs_EquityAwardsGrantedInPriorYearsVestedMember" xlink:href="scs-20250528.xsd#scs_EquityAwardsGrantedInPriorYearsVestedMember"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_scs_EquityAwardsGrantedInPriorYearsVestedMember" xlink:to="lab_scs_EquityAwardsGrantedInPriorYearsVestedMember" xlink:type="arc" order="1"/>
    <link:label id="lab_scs_EquityAwardsGrantedInPriorYearsUnvestedMember_label_en-US" xlink:label="lab_scs_EquityAwardsGrantedInPriorYearsUnvestedMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en-US">Equity Awards Granted in Prior Years, Unvested [Member]</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_scs_EquityAwardsGrantedInPriorYearsUnvestedMember" xlink:href="scs-20250528.xsd#scs_EquityAwardsGrantedInPriorYearsUnvestedMember"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_scs_EquityAwardsGrantedInPriorYearsUnvestedMember" xlink:to="lab_scs_EquityAwardsGrantedInPriorYearsUnvestedMember" xlink:type="arc" order="1"/>
    <link:label id="lab_scs_JamesPKeaneMember_label_en-US" xlink:label="lab_scs_JamesPKeaneMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en-US">James P. Keane [Member]</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_scs_JamesPKeaneMember" xlink:href="scs-20250528.xsd#scs_JamesPKeaneMember"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_scs_JamesPKeaneMember" xlink:to="lab_scs_JamesPKeaneMember" xlink:type="arc" order="1"/>
    <link:label id="lab_scs_ChangeInPensionValueMember_label_en-US" xlink:label="lab_scs_ChangeInPensionValueMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en-US">Change in Pension Value [Member]</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_scs_ChangeInPensionValueMember" xlink:href="scs-20250528.xsd#scs_ChangeInPensionValueMember"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_scs_ChangeInPensionValueMember" xlink:to="lab_scs_ChangeInPensionValueMember" xlink:type="arc" order="1"/>
    <link:label id="lab_scs_SaraEArmbrusterMember_label_en-US" xlink:label="lab_scs_SaraEArmbrusterMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en-US">Sara E. Armbruster [Member]</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_scs_SaraEArmbrusterMember" xlink:href="scs-20250528.xsd#scs_SaraEArmbrusterMember"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_scs_SaraEArmbrusterMember" xlink:to="lab_scs_SaraEArmbrusterMember" xlink:type="arc" order="1"/>
    <link:label id="lab_scs_AwardsGrantedDuringTheYearVestedMember_label_en-US" xlink:label="lab_scs_AwardsGrantedDuringTheYearVestedMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en-US">Awards Granted During the Year, Vested [Member]</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_scs_AwardsGrantedDuringTheYearVestedMember" xlink:href="scs-20250528.xsd#scs_AwardsGrantedDuringTheYearVestedMember"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_scs_AwardsGrantedDuringTheYearVestedMember" xlink:to="lab_scs_AwardsGrantedDuringTheYearVestedMember" xlink:type="arc" order="1"/>
    <link:label id="lab_scs_AwardsGrantedDuringTheYearUnvestedMember_label_en-US" xlink:label="lab_scs_AwardsGrantedDuringTheYearUnvestedMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en-US">Awards Granted During the Year, Unvested [Member]</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_scs_AwardsGrantedDuringTheYearUnvestedMember" xlink:href="scs-20250528.xsd#scs_AwardsGrantedDuringTheYearUnvestedMember"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_scs_AwardsGrantedDuringTheYearUnvestedMember" xlink:to="lab_scs_AwardsGrantedDuringTheYearUnvestedMember" xlink:type="arc" order="1"/>
    <link:label id="lab_scs_EquityAwardsValueOfDividendsAndOtherEarningsPaidAdjustmentMember_label_en-US" xlink:label="lab_scs_EquityAwardsValueOfDividendsAndOtherEarningsPaidAdjustmentMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en-US">Equity Awards, Value of Dividends and Other Earnings Paid Adjustment [Member]</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_scs_EquityAwardsValueOfDividendsAndOtherEarningsPaidAdjustmentMember" xlink:href="scs-20250528.xsd#scs_EquityAwardsValueOfDividendsAndOtherEarningsPaidAdjustmentMember"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_scs_EquityAwardsValueOfDividendsAndOtherEarningsPaidAdjustmentMember" xlink:to="lab_scs_EquityAwardsValueOfDividendsAndOtherEarningsPaidAdjustmentMember" xlink:type="arc" order="1"/>
    <link:label id="lab_scs_PensionAdjustmentsServiceCostMember_label_en-US" xlink:label="lab_scs_PensionAdjustmentsServiceCostMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en-US">Pension Adjustments, Service Cost [Member]</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_scs_PensionAdjustmentsServiceCostMember" xlink:href="scs-20250528.xsd#scs_PensionAdjustmentsServiceCostMember"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_scs_PensionAdjustmentsServiceCostMember" xlink:to="lab_scs_PensionAdjustmentsServiceCostMember" xlink:type="arc" order="1"/>
    <link:label id="lab_scs_EquityAwardsReportedValueMember_label_en-US" xlink:label="lab_scs_EquityAwardsReportedValueMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en-US">Equity Awards Reported Value [Member]</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_scs_EquityAwardsReportedValueMember" xlink:href="scs-20250528.xsd#scs_EquityAwardsReportedValueMember"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_scs_EquityAwardsReportedValueMember" xlink:to="lab_scs_EquityAwardsReportedValueMember" xlink:type="arc" order="1"/>
  </link:labelLink>
</link:linkbase>
